<template>
    <div>
        <form>
            <input
                type="text"
                id="exampleInputEmail1"
                placeholder="Nombre"
                class="name-movements"
                v-model="movement.name_movements"
            />
            <br />

            <input
                type="text"
                class="money-movements"
                id="exampleInputEmail1"
                placeholder="Dinero"
                v-model="movement.money_movements"
            />
            <br />

            <input
                type="text"
                id="exampleInputEmail1"
                placeholder="Description"
                class="description-movements"
                v-model="movement.description_movements"
            />
            <br />
            <select
                class="input-text js-input category-movements"
                v-model="movement.category_movements"
            >
                <option
                    class="optionCategory"
                    v-for="(listCategory, index) in movementListCategory"
                    :key="index"
                    :value="listCategory.id_category"
                    >{{ listCategory.name_category }}</option
                >
            </select>
            <br />

            <button type="button" class="ButtonAdd" @click="newMovements">
                Añadir
            </button>
        </form>
    </div>
</template>
<script>
//import api from "@/api.js";
export default {
    components: {},
    props: {
        movementListCategory: {
            propType: Array,
            required: true,
        },
    },
    data() {
        return {
            movement: {
                id_movements: null,
                name_movements: null,
                money_movements: null,
                description_movements: null,
                category_movements: null,
                type_movements: null,
                date_movements: null,
            },
        }
    },

    methods: {
        async newMovements() {
            this.$emit('new-movements', this.movement)
            //this.Movements = "";
        },
    },
}
</script>
<style scoped></style>
